UPDATE chipRun 
    JOIN chipProcessedImfile USING(chip_id, exp_id) 
    JOIN magicDSRun ON chipRun.magicked = magicDSRun.magic_ds_id 
    JOIN magicDSFile USING(magic_ds_id) 
    JOIN magicRun USING(magic_id, exp_id)
SET chipProcessedImfile.magicked = 0, 
    chipRun.magicked = 0, 
    magicDSRun.state = 'censored', 
    magicDSFile.fault = 42
